<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'inventory',

    /*
     * Package.
     */
    'package'   => 'adjustment',

    /*
     * Modules.
     */
    'modules'   => ['adjustment', 'reason', 'item'],

    'adjustment'       => [
        'model' => [
            'model'                 => \Inventory\Adjustment\Models\Adjustment::class,
            'table'                 => 'adjustments',
            'presenter'             => \Inventory\Adjustment\Repositories\Presenter\AdjustmentPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'mode',  'reference',  'date',  'account_id',  'reason_id',  'status',  'description',  'user_id',  'user_type',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'adjustment/adjustment',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Inventory',
            'package'   => 'Adjustment',
            'module'    => 'Adjustment',
        ],

    ],
    'reason'       => [
        'model' => [
            'model'                 => \Inventory\Adjustment\Models\Reason::class,
            'table'                 => 'reasons',
            'presenter'             => \Inventory\Adjustment\Repositories\Presenter\ReasonPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'slug',  'name',  'description',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'adjustment/reason',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Inventory',
            'package'   => 'Adjustment',
            'module'    => 'Reason',
        ],

    ],
    'item'       => [
        'model' => [
            'model'                 => \Inventory\Adjustment\Models\Item::class,
            'table'                 => 'items',
            'presenter'             => \Inventory\Adjustment\Repositories\Presenter\ItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'item_id',  'quantity_available',  'quantity_onhand',  'quantity_adjusted',  'current_value',  'changed_value',  'adjusted_value',  'user_id',  'user_type',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'adjustment/item',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Inventory',
            'package'   => 'Adjustment',
            'module'    => 'Item',
        ],

    ],
];
