<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAdjustmentsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: adjustments
         */
        Schema::create('adjustments', function ($table) {
            $table->increments('id');
            $table->enum('mode', ['Quantity Adjustment','Value Adjustment'])->nullable();
            $table->string('reference', 100)->nullable();
            $table->date('date')->nullable();
            $table->integer('account_id')->nullable();
            $table->integer('reason_id')->nullable();
            $table->enum('status', ['Adjusted','Not Adjusted'])->nullable();
            $table->text('description')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('adjustments');
    }
}
