<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateItemsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: items
         */
        Schema::create('items', function ($table) {
            $table->increments('id');
            $table->integer('item_id')->nullable();
            $table->float('quantity_available')->nullable();
            $table->float('quantity_onhand')->nullable();
            $table->float('quantity_adjusted')->nullable();
            $table->float('current_value')->nullable();
            $table->float('changed_value')->nullable();
            $table->float('adjusted_value')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('items');
    }
}
