Lavalite package that provides adjustment management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `inventory/adjustment`.

    "inventory/adjustment": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Inventory\Adjustment\Providers\AdjustmentServiceProvider::class,

And also add it to alias

    'Adjustment'  => Inventory\Adjustment\Facades\Adjustment::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Inventory\\AdjustmentTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Inventory\Adjustment\Providers\AdjustmentServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Inventory\Adjustment\Providers\AdjustmentServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Inventory\Adjustment\Providers\AdjustmentServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/adjustment/{modulename}

**User**

    http://path-to-route-folder/user/adjustment/{modulename}

**Public**

    http://path-to-route-folder/adjustments


### API endpoints

**List**

    http://path-to-route-folder/api/user/adjustment/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/adjustment/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/adjustment/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/adjustment/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/adjustment/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/adjustment/{modulename}/{slug}
    METHOD: GET