<?php

namespace Inventory\Adjustment\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Adjustment policy
        'Inventory\Adjustment\Models\Adjustment' => \Inventory\Adjustment\Policies\AdjustmentPolicy::class,// Bind Reason policy
        'Inventory\Adjustment\Models\Reason' => \Inventory\Adjustment\Policies\ReasonPolicy::class,// Bind Item policy
        'Inventory\Adjustment\Models\Item' => \Inventory\Adjustment\Policies\ItemPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
