<?php

namespace Inventory\Adjustment\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AdjustmentTransformer extends TransformerAbstract
{
    public function transform(\Inventory\Adjustment\Models\Adjustment $adjustment)
    {
        return [
            'id'                => $adjustment->getRouteKey(),
            'key'               => [
                'public'    => $adjustment->getPublicKey(),
                'route'     => $adjustment->getRouteKey(),
            ], 
            'mode'              => $adjustment->mode,
            'reference'         => $adjustment->reference,
            'date'              => $adjustment->date,
            'account_id'        => $adjustment->account_id,
            'reason_id'         => $adjustment->reason_id,
            'description'       => $adjustment->description,
            'user_id'           => $adjustment->user_id,
            'user_type'         => $adjustment->user_type,
            'deleted_at'        => $adjustment->deleted_at,
            'url'               => [
                'public'    => trans_url('adjustment/'.$adjustment->getPublicKey()),
                'user'      => guard_url('adjustment/adjustment/'.$adjustment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$adjustment->status),
            'created_at'        => format_date($adjustment->created_at),
            'updated_at'        => format_date($adjustment->updated_at),
        ];
    }
}