<?php

namespace Inventory\Adjustment\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ItemTransformer extends TransformerAbstract
{
    public function transform(\Inventory\Adjustment\Models\Item $item)
    {
        return [
            'id'                => $item->getRouteKey(),
            'key'               => [
                'public'    => $item->getPublicKey(),
                'route'     => $item->getRouteKey(),
            ], 
            'item_id'           => $item->item_id,
            'quantity_available' => $item->quantity_available,
            'quantity_onhand'   => $item->quantity_onhand,
            'quantity_adjusted' => $item->quantity_adjusted,
            'current_value'     => $item->current_value,
            'changed_value'     => $item->changed_value,
            'adjusted_value'    => $item->adjusted_value,
            'user_id'           => $item->user_id,
            'user_type'         => $item->user_type,
            'deleted_at'        => $item->deleted_at,
            'url'               => [
                'public'    => trans_url('adjustment/'.$item->getPublicKey()),
                'user'      => guard_url('adjustment/item/'.$item->getRouteKey()),
            ], 
            'status'            => trans('app.'.$item->status),
            'created_at'        => format_date($item->created_at),
            'updated_at'        => format_date($item->updated_at),
        ];
    }
}