<?php

namespace Inventory\Adjustment\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ReasonTransformer extends TransformerAbstract
{
    public function transform(\Inventory\Adjustment\Models\Reason $reason)
    {
        return [
            'id'                => $reason->getRouteKey(),
            'key'               => [
                'public'    => $reason->getPublicKey(),
                'route'     => $reason->getRouteKey(),
            ], 
            'slug'              => $reason->slug,
            'name'              => $reason->name,
            'description'       => $reason->description,
            'user_id'           => $reason->user_id,
            'user_type'         => $reason->user_type,
            'deleted_at'        => $reason->deleted_at,
            'url'               => [
                'public'    => trans_url('adjustment/'.$reason->getPublicKey()),
                'user'      => guard_url('adjustment/reason/'.$reason->getRouteKey()),
            ], 
            'status'            => trans('app.'.$reason->status),
            'created_at'        => format_date($reason->created_at),
            'updated_at'        => format_date($reason->updated_at),
        ];
    }
}